"use client";

import Container from "@/components/elements/Container";
import { IProjectType, Project } from "@/types/types";
import useAxios from "@/hooks/useAxios";
import React, { useEffect, useState } from "react";
import RoundedDiv from "@/components/elements/RoundedDiv";
import RoundedButton from "@/components/elements/RoundedButton";
import { useSearchParams } from "next/navigation";
import Image from "next/image";
import Link from "next/link";
import MainProjectCard from "@/components/projects/MainProjectCard";

function SuccessProject() {
  const { request } = useAxios();
  const searchParams = useSearchParams();
  const projectId = searchParams.get("projectId");

  const [project, setProject] = useState<Project>();
  const [typeList, setTypeList] = useState<IProjectType[] | null>(null);
  const [price, setPrice] = useState("");
  useEffect(() => {
    const fetchAd = async () => {
      const response = await request<{ project: Project }>(
        "GET",
        `/projects/get/web/${projectId}`
      );
      setProject(response?.project);
    };
    const fetchStates = async () => {
      try {
        const response = await request<{
          projectTypes: IProjectType[];
        }>("GET", "/projects/types");
        setTypeList(response?.projectTypes || null);
      } catch (err) {
        console.log(err);
      }
    };
    fetchAd();
    fetchStates();
  }, []);

  useEffect(() => {
    if (project?.project_type && typeList) {
      const foundType = typeList.find(
        (item) => item.name === project.project_type
      );
      if (foundType) {
        setPrice(String(foundType.price)); // فرض بر اینکه price عددی است و نیاز به تبدیل به رشته دارد
      }
    }
  }, [project, typeList]);
  return (
    <Container>
      <h6 className="font-bold md:text-xl text-lg text-center mt-2 line-clamp-2 mb-4 text-[#17A600] ">
        پرداخت موفق
      </h6>
      <div className="flex flex-col items-center text-sm">
        <Image
          width={50}
          height={50}
          alt={"verify icon"}
          src={`/images/icons/success.svg`}
          className="pb-1 mb-5"
        />
      </div>
      <div className="px-4 w-full text-sm md:text-md font-semibold mt-10">
        {project && <MainProjectCard project={project} />}
        <div className="flex flex-col items-center gap-4 mt-4">
          <RoundedDiv className="p-2 w-full">
            {project?.project_type === "normal"
              ? "نمایش ساده"
              : project?.project_type === "force"
              ? "نمایش با برچسب فوری"
              : "نمایش با رنگ پس زمینه متفاوت"}
            : {Number(price).toLocaleString()} تومان
          </RoundedDiv>
          <p className="my-5">
            پروژه شما پس از بررسی توسط کارشناسان ما منتشر خواهد شد
          </p>
          <Link href={"/settings/workroom"}>
            <RoundedButton className="w-32 h-9 !border-[#0C8002] text-[#0C8002]">
              اتاق کار
            </RoundedButton>
          </Link>
        </div>
      </div>
    </Container>
  );
}

export default SuccessProject;
